### Function

# Ide DiagnosticsLineCallback

#### Declaration

    void
    (* IdeDiagnosticsLineCallback) (
      guint line,
      IdeDiagnosticSeverity severity,
      gpointer user_data
    )

#### Description

This function prototype is used to notify a caller of every line that has a diagnostic, and the most severe `IdeDiagnosticSeverity` for that line.

Available since: | 3.32

#### Parameters

`line` | `guint`
| The line number, starting from 0
`severity` | `IdeDiagnosticSeverity`
| The severity of the diagnostic.
`user_data` | `gpointer`
| User data provided with callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.